%define kdevelop_ver 4.%(echo %{version} | cut -d. -f2,3)

%define rel 1

Summary: PHP plugin for kdevelop
Name: kdevelop4-php
Version: 1.7.3
Release: %mkrel %{rel}
Source0: http://download.kde.org/stable/kdevelop/%{kdevelop_ver}/src/kdevelop-php-%{version}.tar.bz2
Patch0:  kdevelop4-php-1.7.3-mageia-fix-po-target.patch
License: GPLv2+
Group: Development/Other
Url: http://www.kdevelop.org
BuildRequires: kdelibs4-devel 
BuildRequires: kdevplatform4-devel >= 4:%{version}
BuildRequires: kdevelop-pg-qt-devel >= 0.9.82
Requires: kdevelop4 >= 4:%{kdevelop_ver}

%description
This plugin adds PHP language support (including classview and code-completion)
to KDevelop.

%files -f kdevphp.lang
%_kde_libdir/kde4/kdevphplanguagesupport.so
%_kde_libdir/kde4/kdevphpunitprovider.so
%_kde_libdir/libkdev4phpcompletion.so
%_kde_libdir/libkdev4phpduchain.so
%_kde_libdir/libkdev4phpparser.so
%_kde_appsdir/kdevappwizard/templates/simple_phpapp.tar.bz2
%_kde_appsdir/kdevphpsupport
%_kde_services/kdevphpsupport.desktop
%_kde_services/kdevphpunitprovider.desktop

#--------------------------------------------------------------------

%prep
%setup -qn kdevelop-php-%{version}
%apply_patches

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build

%find_lang kdevphp


%changelog
* Mon Feb 01 2016 zezinho <zezinho> 1.7.3-1.mga5
+ Revision: 930668
- patch to fix po target build
- new bugfix version #17664

* Tue Feb 10 2015 lmenut <lmenut> 1.7.1-1.mga5
+ Revision: 814627
- Update to 1.7.1

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-3.mga5
+ Revision: 748255
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-2.mga5
+ Revision: 681014
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 1.7.0-1.mga5
+ Revision: 668567
- 1.7.0

* Sat Aug 23 2014 fwang <fwang> 1.6.90-1.mga5
+ Revision: 666748
- 1.6.90

  + colin <colin>
    - Fix revision to proper number

* Tue Dec 10 2013 colin <colin> 1.6.0-0.1.mga4
+ Revision: 556198
- New version: 1.6.0

* Mon Nov 18 2013 fwang <fwang> 1.5.2-1.mga4
+ Revision: 551712
- new version 1.5.2

* Sat Oct 19 2013 umeabot <umeabot> 1.5.1-2.mga4
+ Revision: 525530
- Mageia 4 Mass Rebuild

* Fri May 31 2013 fwang <fwang> 1.5.1-1.mga4
+ Revision: 433530
- new version 1.5.1

* Fri May 24 2013 fwang <fwang> 1.5.0-1.mga4
+ Revision: 425755
- update file list
- new version 1.5.0

* Sat Jan 12 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 356065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 313219
- new version 1.4.1

* Tue Oct 16 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 307075
- new version 1.4.0

* Tue Sep 11 2012 fwang <fwang> 1.3.90-1.mga3
+ Revision: 292133
- new verison 1.3.90

* Sat Aug 04 2012 fwang <fwang> 1.3.80-1.mga3
+ Revision: 278382
- new version 1.3.80

* Sun Apr 15 2012 fwang <fwang> 1.3.1-1.mga2
+ Revision: 230834
- new version 1.3.1

* Mon Mar 12 2012 fwang <fwang> 1.3.0-1.mga2
+ Revision: 222973
- new version 1.3.0 final

* Sat Feb 25 2012 fwang <fwang> 1.2.90-1.mga2
+ Revision: 214285
- new version 1.2.90

* Tue Feb 14 2012 fwang <fwang> 1.2.82-1.mga2
+ Revision: 208707
- new version 1.2.82

* Mon Jan 23 2012 fwang <fwang> 1.2.81-1.mga2
+ Revision: 200320
- new version 1.2.81

* Sat Jun 25 2011 mikala <mikala> 1.2.3-1.mga2
+ Revision: 113683
- Update tarball to 1.2.3 ( http://kdevelop.org/kdevelop/kdevelop-423-released )

* Fri May 13 2011 mikala <mikala> 1.2.2-1.mga1
+ Revision: 97845
- Remove BuildRoot
- imported package kdevelop4-php


* Wed Apr 06 2011 Funda Wang <fwang@mandriva.org> 1.2.2-1mdv2011.0
+ Revision: 651073
- new version 1.2.2

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 1.2.1-1
+ Revision: 650468
- new verrsion 1.2.1

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 1.2.0-2
+ Revision: 640446
- rebuild to obsolete old packages

* Mon Jan 24 2011 Funda Wang <fwang@mandriva.org> 1.2.0-1
+ Revision: 632466
- new verison 1.2.0

* Mon Jan 10 2011 Funda Wang <fwang@mandriva.org> 1.1.90-1
+ Revision: 630842
- new verison 1.1.90

* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 1.1.81-1mdv2011.0
+ Revision: 625814
- new version 1.1.81

* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 1.1.80-1mdv2011.0
+ Revision: 622558
- new version 1.1.80

* Wed Oct 27 2010 Colin Guthrie <cguthrie@mandriva.org> 1.1-1.git20101027.1mdv2011.0
+ Revision: 589635
- Update to git snapshot to match kdevelop4
- Add text/x-php mimetype so it actually works.

* Sun Sep 05 2010 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 576055
- new version 1.0.2

* Sun Jul 18 2010 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 554770
- new version 1.0.1

* Thu Apr 29 2010 Luc Menut <lmenut@mandriva.org> 1.0.0-3mdv2010.1
+ Revision: 541034
- fix typo in requires

  + Funda Wang <fwang@mandriva.org>
    - no more betaver

* Thu Apr 29 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.0.0-2mdv2010.1
+ Revision: 540752
- Rebuild

  + Funda Wang <fwang@mandriva.org>
    - BR kdevelop-pg-qt-devel
    - 1.0.0 final

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0-0.rc1.1mdv2010.1
+ Revision: 531397
- rc1

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 0-0.beta2.1mdv2010.1
+ Revision: 478418
- fix file list

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to Beta 2

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0-0.beta1.1mdv2010.1
+ Revision: 461773
- import kdevelop4-php

